package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）枚举类
*
* @author zxfei
*/
public enum OnlineEnum {
    离线(0, "离线"),
    在线(1, "在线"),
    暂离(2, "暂离"),
    点击暂离(3, "点击暂离"),
    回归(4, "回归"),
    登陆(5, "登陆");
    private Integer value;
    private String desc;

    OnlineEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static OnlineEnum getByValue(Integer value) {
        for (OnlineEnum onlineEnum : OnlineEnum.values()) {
            if (onlineEnum.getValue() == value) {
                return onlineEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (OnlineEnum item : OnlineEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}